/***************************************************************************
                          gui_flags.c  -  description
                             -------------------
    begin                : Thu Jun 27 2002
    copyright            : (C) 2002 by Tim-Philipp Mller
    email                : t.i.m@orange.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "gui_flags.h"

// So we know whether the core has crashed or
//   if it was the user shutting down the core

gboolean		connection_closed_deliberately = FALSE;		


// If this is set to TRUE we won't show the
//   connect-to dialog, assuming that we're quitting

gboolean		about_to_quit = FALSE;


int		 	show_restart_success_message_on_next_packet = 0;


// PID of local running donkey (TODO: should be pid_t?!)
int			local_donkey_pid = 0;


// core client version
int			coreversion = 0;

// flag, so we only show a warning message once if the core is older than it should be
int			first_time_we_get_options = 1;

// These are set by the command line parse routine in main()
char	*shutdown_advcmd = NULL; // advanced command to send to core (instead of shutdown)
char	*shutdown_host = NULL;	 // host, port, user, password to use if only sending
char	*shutdown_user = NULL;	 //   shutdown message to core
char	*shutdown_pass = NULL;
int	 shutdown_port;
int 	 only_send_shutdown = 0;
int	 only_send_advcmd   = 0;
int	 only_be_quiet	   = 0;  // be quiet when doing only_shutdown or only_send_advcmd

gboolean		core_is_overnet = FALSE;	/* is this an overnet core? */
gboolean		core_is_hybrid  = FALSE;	/* is this a hybrid overnet/eDonkey core? */

