/* mainwindow.h
 *
 * part of ed2k-gtk-gui
 *
 * (c) 2001-2003 Tim-Philipp Muller <t.i.m@orange.net>
 *
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _ED2K_GUI_MAINWINDOW_H_INCLUDED_
#define _ED2K_GUI_MAINWINDOW_H_INCLUDED_

#include <gtk/gtk.h>

extern GtkWidget *window;	/* main window widget */

void	mainwindow_create (void);

void	mainwindow_retrieve_some_options_before_main_window_is_destroyed (void);

gboolean   mainwindow_delete_event (GtkWidget *widget, gpointer data);

void	mainwindow_set_title (const gchar *networkname);

#endif
