/***************************************************************************
                          progressbar.h  -  description
                             -------------------
    begin                : Mon Feb 10 2003
    copyright            : (C) 2003 by Tim-Philipp Mller
    email                : t.i.m@orange.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _ed2k_gui_progressbar_h_included_
#define _ed2k_gui_progressbar_h_included_

#include <gtk/gtk.h>

struct _progressbarGap
{
	guint32  start;
	guint32  end;
	guint16  status;
};

typedef struct _progressbarGap progressbarGap;

void           progressbar_sort_gaps (progressbarGap *pbgaps);

GdkPixbuf     *progressbar_make_pixbuf_from_gaplist ( const progressbarGap *pbgaps,
                                                      guint width,
                                                      guint height,
                                                      guint filesize,
                                                      gboolean paused );

void           progressbar_set_transfered_from_gaplist (progressbarGap *pbgaps, guint32 *trans);

guint          progressbar_find_min_num_of_sources_from_gaplist (progressbarGap *pbgaps);

#endif









