/***************************************************************************
                          uploads.h  -  description
                             -------------------
    begin                : Sat Feb 8 2003
    copyright            : (C) 2003 by Tim-Philipp Mller
    email                : t.i.m@orange.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _ed2k_gui_uploads_h_included_
#define _ed2k_gui_uploads_h_included_

#include <gtk/gtk.h>

void        uploads_add_new_upload (const guint8 *userhash,
                                    const gchar *filename,
                                    const gchar *username);

void        uploads_remove_upload (const guint8 *userhash);

void        uploads_set_speed (gfloat speed, guint index, guint timediff);

/* new post-v46 upload stuff: */
void        uploads_set_slot_speed (gfloat speed, guint32 slotid, guint timediff);

void        uploads_change_upload_slot ( guint32 slotid,
                                         const gchar  *filename,
                                         guint8 *filehash,
                                         const gchar  *username,
                                         guint8 *userhash );

void        uploads_remove_upload_slot (guint32 slotid);


void        uploads_view_save_settings (void);

void        uploads_update_rules_hint (void);

GtkWidget  *uploads_create_store_model_and_view (void);

void        uploads_clear_all (void);
#endif








