/***************************************************************************
                          downloads_attrib.h  -  description
                             -------------------
    begin                : Wed Jul 10 2002
    copyright            : (C) 2002 by Tim-Philipp Mller
    email                : t.i.m@orange.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _ed2k_gui_downloads_attrib_included_
#define _ed2k_gui_downloads_attrib_included_

#include "downloads.h"

typedef struct
{
	guint8		hash[16];
	time_t		last_downloading;
	time_t		last_complete;
	time_t		last_used;	/* this is only for the attributes list, so we know when we can remove a record for good */
	time_t		time_added;
} downloadAttribRecord ;


void            downloadsattriblist_load (void);
void            downloadsattriblist_save (void);

gboolean        downloadsattriblist_retrieve_attributes ( const gchar *hash,
                                                          time_t *lasttime_complete,
                                                          time_t *lasttime_downloading,
                                                          time_t *time_added );


#endif

