/*
*   parse_message.h
*
*   (c) 2001 Tim-Philipp Mueller <t.i.m@orange.net>
*
*/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _ed2k_gui_parse_message_h_included_
#define _ed2k_gui_parse_message_h_included_

#include "ramfile.h"
#include <time.h>

/* we set this whenever the user sends an advanced command,
   so we know when we let output pass or when to suppress it */
extern time_t      user_just_sent_advanced_command;

void               parse_message_from_client (ramfile *packet);

#endif
