/* systray.h
 *
 * systray icon API
 *
 * (c) 2003 Tim-Philipp Muller
 *
 * Systray code by Axel C. <tautologist@users.sourceforge.net>
 *
 */

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
                                                                                                             


#ifndef ed2k_gui_systray_h_included
#define ed2k_gui_systray_h_included

/* we want these declarations even without a systray, otherwise we get
 * compiler warnings and linking problems from toolbar.c later on if the
 * systray is disabled... [Tim] */

int      gui_systray_init (void);

void     gui_systray_set_down_speed (gfloat down_speed);

void     gui_systray_set_up_speed (gfloat up_speed);

void     gui_systray_set_status (const char *network, const char *server);

#endif

