/***************************************************************************
                          uploadstats.h  -  description
                             -------------------
    begin                : Sat Feb 8 2003
    copyright            : (C) 2003 by Tim-Philipp Mller
    email                : t.i.m@orange.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _ed2k_gui_uploadstats_h_included_
#define _ed2k_gui_uploadstats_h_included_

#include "global.h"
#include <time.h>

void         uploadstats_update_rules_hint (void);

GtkWidget   *uploadstats_create_store_model_and_view (void);

void         ulstats_view_save_settings (void);

void         ulstats_add_or_increase_record ( const gchar *name,
                                              const guint8 *filehash,
                                              gfloat speed,
                                              gint timediff,
                                              gfloat initial_uploaded,
                                              time_t initial_last_uploaded,
                                              guint initial_filesize );


void         write_gui_uploadstats (void);

#endif


